# Class PostWeatherLapseAbAttr

#### Hierarchy (view full)

- AbAttr
  - PostWeatherLapseAbAttr
    - PostWeatherLapseHealAbAttr
    - PostWeatherLapseDamageAbAttr

- Defined in src/data/ability.ts:2369

#####
Index

### Constructors

constructor

### Properties

showAbility
weatherTypes

### Methods

addCondition
apply
applyPostWeatherLapse
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostWeatherLapseAbAttr(...weatherTypes): PostWeatherLapseAbAttr

- #### Parameters

  - `Rest` ...weatherTypes: WeatherType []

  #### Returns PostWeatherLapseAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:2372

## Properties

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Protected` weatherTypes

weatherTypes: WeatherType []

- Defined in src/data/ability.ts:2370

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from AbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostWeatherLapse

- applyPostWeatherLapse(pokemon, passive, weather, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - weather: Weather
  - args: any[]

  #### Returns boolean | Promise<boolean>

  - Defined in src/data/ability.ts:2378

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Overrides AbAttr.getCondition

  - Defined in src/data/ability.ts:2382

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137